## $Id: utils.py 13279 2015-10-02 09:40:52Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""General helper functions and utilities for the application section.
"""

from time import time
import sys
import grok
from kofacustom.nigeria.applicants.utils import NigeriaApplicantsUtils
from waeup.kwarapoly.interfaces import MessageFactory as _



class ApplicantsUtils(NigeriaApplicantsUtils):
    """A collection of parameters and methods subject to customization.
    """

    APP_TYPES_DICT = {
        'rmd': ['Remedial Programme', 'RP'],
        'hndft': ['HND Full-Time Programmes', 'HNDFT'],
        'hndpt': ['HND Part-Time Programmes', 'HNDPT'],
        'hndwe': ['HND Weekend Programmes', 'HNDWE'],
        'ndft': ['ND Full-Time Programmes', 'NDFT'],
        'ndpt': ['ND Part-Time Programmes', 'NDPT'],
        'ndwe': ['ND Weekend Programmes', 'NDWE'],
        'putme': ['Post-UTME Screening Exercise', 'PUTME'],
        'app': ['General Studies', 'APP'],
        'cest': ['Common Entry Screening Test', 'CEST'],
        'ct': ['Certificate Programmes', 'CTP'],
        'pgft': ['Postgraduate Full-Time Programmes', 'PG'],
        'pgpt': ['Postgraduate Part-Time Programmes', 'PG'],
        'prermd': ['Pre-Admission Screening: Remedial Forms', 'RP'],
        'prehndft': ['Pre-Admission Screening: HND Full-Time Forms', 'HNDFT'],
        'prehndpt': ['Pre-Admission Screening: HND Part-Time Forms', 'HNDPT'],
        'prehndwe': ['Pre-Admission Screening: HND Weekend Forms', 'HNDWE'],
        'prendft': ['Pre-Admission Screening: ND Full-Time Forms', 'NDFT'],
        'prendpt': ['Pre-Admission Screening: ND Part-Time Forms', 'NDPT'],
        'prendwe': ['Pre-Admission Screening: ND Weekend Forms', 'NDWE'],
        'prejambites': ['Pre-Admission Screening: JAMBITES', 'JMB'],
        'special': ['Supplementary Payment', 'SP'],
        }

    SEPARATORS_DICT = {
        'form.applicant_id': _(u'Base Data'),
        'form.course1': _(u'Programmes/Courses Desired'),
        'form.hq_type': _(u'Higher Education Record'),
        'form.jamb_subjects': _(u'JAMB Data'),
        'form.notice': _(u'Application Process Information'),
        'form.pp_school': _(u'Post Primary School Qualification'),
        'form.presently_inst': _(u'Presently attending a course or programme'),
        'form.olevel_type': _(u"'O' Level Record"),
        }